## org.codehaus.groovy.grails.test.io
Class MultiplexingOutputStream

    java.lang.Object
      java.io.OutputStream
          org.codehaus.groovy.grails.test.io.MultiplexingOutputStream

All Implemented Interfaces:
  groovy.lang.GroovyObject, Closeable, Flushable

    public class MultiplexingOutputStream

extends OutputStream
implements groovy.lang.GroovyObject

Constructor Summary
`MultiplexingOutputStream()`
`MultiplexingOutputStream(OutputStream[] streams)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`List<OutputStream>` `getStreams()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setStreams(List<OutputStream> value)`
`void` `write(int b)`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplexingOutputStream

    public MultiplexingOutputStream(OutputStream[] streams)

### MultiplexingOutputStream

    public MultiplexingOutputStream()

Method Detail

### getStreams

    public List<OutputStream> getStreams()

### setStreams

    public void setStreams(List<OutputStream> value)

### write

    public void write(int b)

  Specified by:
    `write` in class `OutputStream`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project